type: prog

niveau: intermédiaire

titre: Produit à rabais
uuid: ae25d9b8-2cdb-4cdf-8aa4-f7f28b029ca5

objectif: Déterminer le montant à payer d'un produit avec taxe et rabais conditionnel

énoncé: |
  On souhaite déterminer le `montant` à payer à partir de la `quantité` et du `prix` unitaire du produit acheté, qui sont reçus en entrée, en considérant une taxe dont le TAUX est de **15%** et sachant qu'un rabais de **20%** est offert pour tout achat de **100$** et plus **après taxe**.

    ### Entrées
  - quantité : quantité du produit acheté (nombre entier)
  - prix unitaire : prix d'une unité du produit acheté (nombre réel)

  ### Sortie attendue

  Le montant à payer (nombre réel)

  ### À faire :

    Compléter le programme qui produit en sortie le `montant` à payer après taxe et rabais, à partir de la `quantité` et du `prix` unitaire du produit.

  ### Exemples

  1. Montant avec rabais

   - Entrées :
  ```
      1
      200

  ```

   - Sortie attendue :
  ```
     184.0

  ```
  2. Montant sans rabais

   - Entrées :
  ```
      4
      20

  ```

   - Sortie attendue :
  ```
     92.0

  ```
ébauches:
    python: !include exec.py
    java: !include exec.java
    kotlin: !include exec.kt


rétroactions:
    positive: Génial!
    négative: C'est comme quand tu achètes…

tests:
    !include tests.yml

auteur: Wafaa Niar Dinedane / Patrick Lafrance
licence: 2021 CC-BY-SA

